from setuphelpers import *
import os

def install():
    bin_name = glob.glob('OpenOrienteering-Mapper-*.exe')[0]
    version = control.get_software_version()
    
    # Vérifier si la version est spécifiée
    if not version:
        print("Version du logiciel non spécifiée. Installation annulée.")
        return
    
    key_name = f"OpenOrienteering Mapper {version}"
    
    # Installation du logiciel
    install_exe_if_needed(bin_name,
                          silentflags='/S /allusers',
                          key=key_name,
                          min_version=version)
